const custom_items_no_tooltips = [
    'drill_sand_cast',
    'drill_red_sand_cast',
    'drill_head_mold'
]
onEvent('item.registry', event => {

    for (let item of custom_items_no_tooltips){
        let name = global.id_to_name(item);
        event.create(item).displayName(name);
    }
})
global.id_to_name = (id) => {
    const id_split = id.split('_');
    return id_split.map((word) => word[0].toUpperCase() + word.substring(1)).join(' ');
}
//kubejs items
onEvent('item.registry', event => {
//sequenced assembly items
    event.create('incomplete_unobtanium_drill_sand_cast').type('create:sequenced_assembly').displayName('Incomplete Unobtanium Drill Sand Cast')
	event.create('incomplete_unobtanium_drill_red_sand_cast').type('create:sequenced_assembly').displayName('Incomplete Unobtanium Drill Red Sand Cast')
})
//drill
onEvent('item.registry.drillhead', event => {
    // creates a drill item with 3 durability
    event.create('unobtainium_drillhead').displayName('Unobtainium Plated Drillhead').durability(1200)

})